﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Xml;

namespace ContactUsApplication
{
    public class WSController
    {
        public bool InvokeFromPHP(string fullName, string email, string telephone, string message)
        {
            XmlDocument xDoc = new XmlDocument();
            try
            {
                string sRequestInformation = "<BizAgiWSParam>";
                sRequestInformation += "<domain>" + "domain" + "</domain>";
                sRequestInformation += "<userName>" + "admon" + "</userName>";
                sRequestInformation += "<Cases>";
                sRequestInformation += "<Case>";
                sRequestInformation += "<Process>" + "ContactUsRequest" + "</Process>";
                sRequestInformation += "<Entities>";
                sRequestInformation += "<ContactUsRequest>";
                sRequestInformation += "<ContactName>" + fullName + "</ContactName>";
                sRequestInformation += "<EmailAddress>" + email + "</EmailAddress>";
                sRequestInformation += "<Message>" + message + "</Message>";
                sRequestInformation += "<TelephoneNumber>" + telephone + "</TelephoneNumber>";
                sRequestInformation += "</ContactUsRequest>";
                sRequestInformation += "</Entities>";
                sRequestInformation += "</Case>";
                sRequestInformation += "</Cases>";
                sRequestInformation += "</BizAgiWSParam>";

                xDoc.LoadXml(sRequestInformation);
                
                ContactUsWESReference.WorkflowEngineSOA wes
                    = new ContactUsWESReference.WorkflowEngineSOA();
                XmlNode xNod = wes.createCases(xDoc);
                xNod = xNod.SelectSingleNode("process/processError/errorCode");
                if (xNod.InnerXml != "")
                {
                    return false;
                }
                return true;
            }
            catch (Exception)
            {
                return false;
            }
        }
    }
}
